> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/82.-query-abonnementsgebeurtenissen-herstellen.md).

# 82. Query: abonnementsgebeurtenissen herstellen

Het is altijd goede praktijk om de mogelijkheid te hebben geleverde versus geproduceerde abonnementsevenementen te herstellen/hercontroleren. Daarom slaat GeoPard de geschiedenis op van alle geproduceerde abonnementsevenementen voor de **laatste 12 maanden**.&#x20;

De veelvoorkomende gevallen:&#x20;

* Slechte internetverbinding en gebeurtenissen zijn niet afgeleverd
* Heruitrol van de WebSocket-luisteraar
* Controleer de consistentie van ontvangen versus geproduceerde gebeurtenissen

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        actie
        nodePath {
          entiteit
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Ondersteunde invoerfilters:

* `dateFrom` als datumtijd in ISO 8601-formaat (bv: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` als datumtijd in ISO 8601-formaat (bv: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` als array van "Boerderij" UUID's om te doorzoeken
* `fieldUuids` als array van "Perceel" UUID's om te doorzoeken&#x20;
* `userUuids` als array van "User" UUID's om te doorzoeken
* `eventUuids` als array van abonnement "Event" UUID's

{% hint style="info" %}
Alle filters werken als logische **EN**.
{% endhint %}

{% hint style="info" %}
Elk abonnementsgebeurtenis heeft een attribuut `executionDate` gekoppeld aan het verzendmoment in het AWSDateTime-formaat compatibel met ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/82.-query-abonnementsgebeurtenissen-herstellen.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
